org.apache.maven.scm.repository

## Class ScmRepositoryException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.maven.scm.ScmException
      - - org.apache.maven.scm.repository.ScmRepositoryException

All Implemented Interfaces:
  Serializable

    public class ScmRepositoryException
    extends ScmException

Author:
  Trygve Laugstøl, Olivier Lamy
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ScmRepositoryException(String msg)`
`ScmRepositoryException(String msg, List<String> validationMessages)`
`ScmRepositoryException(String msg, Throwable cause)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<String>` `getValidationMessages()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ScmRepositoryException

    public ScmRepositoryException(String msg)

#### ScmRepositoryException

    public ScmRepositoryException(String msg,
                                  Throwable cause)

#### ScmRepositoryException

    public ScmRepositoryException(String msg,
                                  List<String> validationMessages)

### Method Detail

#### getValidationMessages

    public List<String> getValidationMessages()